#include<bits/stdc++.h>
using namespace std;
long long a[100001];
int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n, k;
    cin >> n >> k;
    long long ans = 0;
    for(long long i = 0; i < n; i++)cin >> a[i];
    if(k != 1){
        for(long long i = 0; i < n; i++){
            long long anss = a[i];
            for(long long j = i; j < n; j++){
                anss = anss | a[j];
                if(anss >= k){
                    //cout << i << " " << j << " " << anss << " " << k << endl;
                    ans += n - j;
                    break;
                }
            }
        }
        cout << ans;
    }else if(k == 1){
        for(long long i = 0; i < n; i++){
            int l = i, r = n - 1;
            while(l <= r){
                int m = (r - l) / 2 + l;
                if(a[m])r = m - 1;
                else l = m + 1;
            }
            ans += n - l;
        }
        cout << ans;
    }

    return 0;
}
